/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}

body {
	line-height: 1;
}

ol, ul {
	list-style: none;
}

blockquote, q {
	quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

:root {
	--gray-light: #F3F5F9;
	--gray-border: #DDDFE6;
	--violet: #6A47C1;
	--primary-50: #F0ECFD;
	--gray-bg: #F7F7F7;
	--grey-neutral: #EEEEEE;
	--grey-very-light: #F3F4F8;
	--violet-border: #6A47C1;
	--neutral: #717272;
	--black: #1C1C1C;
	--yellow: #FFCE5D;
	--green: #41C1A6;
	--grey-text: #575A72;
}

h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center, span, div {
	font-family: 'Roboto', sans-serif;
	font-size: 12px;
	color: var(--neutral);
}

button[type=button] {
	cursor: pointer;
	border: 0;
	background-color: transparent;
}

h1 {
	font-size: 24px;
	color: #383838;
}

.backoffice {
	display: grid;
	grid-template-columns: 70px 1fr;
}

.page {
	background-color: var(--gray-light);
	padding: 20px;
}

.menu {
	text-align: center;
	padding-top: 20px;
}

.menu div {
	text-align: center;
	margin-bottom: 15px;
}

.account-bar {
	background-color: white;
	padding: 16px 24px;
}

.account-bar input {
	max-width: 500px;
}

.page-title {
	padding: 10px 0;
	position: relative;
}

.account-bar {
	display: grid;
	grid-template-columns: 1fr 1fr;
}

.account-buttons {
	justify-self: end;
}

.switch-mode {
	position: absolute;
	right: 0;
	top: 0;
}

.icon-button {
	height: 40px;
	width: 40px;
	display: inline-block;
	background-color: var(--gray-light);
	border-radius: 8px;
	cursor: pointer;
	border: 0;
	vertical-align: middle;
}

.icon-button.active {
	background-color: var(--yellow);
}

.icon-button img {
	margin: auto;
}

.icon-button i {
	font-size: 1.5em;
}

.interval-date {
	font-size: 18px;
	line-height: 40px;
}

.employees {
	display: inline-flex;
	align-items: center;
}

.employees input {
	display: none;
}

.employees img {
	margin-left: -15px;
	border-radius: 15px;
	border: solid 3px white;
}

.employees img.selected {
	border-color: var(--violet);
}

.button-with-icon {
	background-color: var(--gray-light);
	border: 0;
	padding: 10px;
	font-size: 14px;
	border-radius: 8px;
	display: inline-flex;
	height: 35px;
	cursor: pointer;
}

.button-with-icon img {
	margin-right: 10px;
}

.button-with-icon-right img {
	margin-left: 10px;
	margin-right: 0;
}

.right {
	float: right;
}

.options {
	text-align: right;
	align-items: center;
	display: flex;
	flex-direction: row-reverse;
}

dialog {
	border: 0;
	z-index: 100;
	padding: 0;
	border-radius: 8px;
}

dialog h1 {
	font-size: 20px;
	font-weight: normal;
}

dialog .close {
	position: absolute;
	top: 20px;
	right: 24px;
}

#employees-box {
	min-width: 440px;
}

dialog::backdrop {
	background-color: black;
	opacity: 0.5;
}

.modal-body {
	background-color: white;
	padding: 24px;
}

#fading {
	position: absolute;
	width: 100vw;
	height: 100vh;
	background-color: black;
	top: 0;
	display: none;
	opacity: 0.5;
}

.list-row {
	display: grid;
	grid-auto-columns: 50px 1fr;
	grid-auto-flow: column;
	column-gap: 5px;
	margin-top: 15px;
}

.list-row div {
	line-height: 1.5em;
	font-weight: 500;
}

.list-row div span.email {
	color: var(--neutral);
	font-weight: normal;
	display: block;
}

.list-row .title {
	color: var(--black);
	font-weight: normal;
	display: block;
}

.clickable {
	cursor: pointer;
}

input[type=text], input[type=password], input[type=date], input[type=time], select {
	border: solid 1px var(--grey-very-light);
	padding: 8px 10px;
	width: 100%;
	border-radius: 5px;
	background-color: var(--gray-light);
}

input[type=text]:focus, select:focus {
	border: solid 1px var(--violet-border);
	background-color: white;
}

.modal-header {
	display: grid;
	grid-template-columns: 1fr 40px;
	align-items: baseline;
}

.modal-header.back {
	grid-template-columns: 40px 1fr 40px;
}

.modal-header.back h1 {
	text-align: center;
}

.modal-body h1 {
	margin-bottom: 25px;
}

#employees-box {
	min-width: 700px;
	min-height: 600px;
}

.btn-group {
	display: inline-flex;
}

.btn-group .btn {
	padding: 10px 25px;
	background-color: #6A3BE4;
	border-color: var(--gray-border);
	border-width: 1px 0;
	border-style: solid;
	background-color: white;
	min-width: 100px;
	text-align: center;
}

.btn-group .btn.active {
	color: white;
	background-color: var(--violet);
}

.btn-group .btn:first-child {
	border-width: 1px 0 1px 1px;
	border-top-left-radius: 25px;
	border-bottom-left-radius: 25px;
}

.btn-group .btn:last-child {
	border-width: 1px 1px 1px 0;
	border-top-right-radius: 25px;
	border-bottom-right-radius: 25px;
}

.form-field {
	position: relative;
}

.form-field.iconed input {
	padding-left: 25px;
}

.form-field.iconed i {
	position: absolute;
	left: 5px;
	transform: translateY(70%);
	font-size: 14px;
}

.btn-list {
	display: inline-flex;
	align-items: center;
}

.btn-list button {
	margin-left: 15px;
}

.btn-list button i {
	color: var(--black)
}

.form-group {
	margin-bottom: 16px;
	display: flex;
	flex-flow: row wrap;
}

.form-group label {
	font-weight: 500;
	color: var(--black);
	font-size: 14px;
	margin-bottom: 10px;
	display: block;
	width: 100%;
}

.form-group label.optional::after {
	content: "(optionnel)";
	color: var(--neutral);
	font-size: 12px;
	padding-left: 5px;
	font-weight: normal;
}

.form-group.list-group {
	display: block;
}

.btn {
	padding: 10px 25px;
	background-color: #6A3BE4;
	border-color: var(--gray-border);
	text-align: center;
	border-radius: 8px;
	width: 100%;
}

.btn-primary {
	background-color: var(--violet);
	color: white;
	border: 1px solid var(--violet);
}

.btn-outline-primary {
	border: 1px solid var(--violet);
	background-color: white;
	color: var(--violet);
}

.event-content {
	margin-bottom: 80px;
}

.modal-buttons {
	position: absolute;
	bottom: 10px;
}

.modal-buttons button {
	width: 100%;
}

.default-avatar {
	text-transform: uppercase;
	height: 40px;
	width: 40px;
	background-color: var(--green);
	display: inline-block;
	line-height: 40px;
	text-align: center;
	color: var(--black);
	border-radius: 8px;
}

.list-row.bordered {
	border: solid 1px var(--gray-border);
	padding: 16px;
}